Project

General

Profile

Actions

Support #7643

closed

Replace bsddb3 with berkeleydb or remove it altogether

Added by Jakub Judiny about 1 year ago. Updated about 1 year ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Target version:
Start date:
04/13/2023
Due date:
% Done:

0%

Estimated time:
To be discussed:
No

Description

Bsddb3 library is deprecated and it is recommended to switch to berkeleydb.

1st possible solution: switch to berkeleydb
Bsddb3 PyPI page describes what needs to be done in order to migrate to berkeleydb.

2nd possible solution: remove it altogether
This would require removing the module mentat.services.cache.py (the only module which uses bsddb3) and rewriting mentat.plugin.enricher.passivedns (the only module which uses mentat.services.cache.py) in a way it won't use caching anymore.

Part of mentat.plugin.enricher.passivedns is for The Email Laundry (EML) , which no longer exists, so this part should also be removed.


Related issues

Related to Mentat - Support #7632: Mentat dependencies upgradeClosedJakub Judiny02/28/2023

Actions
Actions #1

Updated by Jakub Judiny about 1 year ago

Actions #2

Updated by Jakub Judiny about 1 year ago

  • Status changed from New to In Progress
  • Assignee set to Jakub Judiny
Actions #3

Updated by Jakub Judiny about 1 year ago

  • Status changed from In Progress to Resolved
Actions #4

Updated by Rajmund Hruška about 1 year ago

  • Status changed from Resolved to In Review
  • Target version changed from Backlog to 2.11
Actions #5

Updated by Rajmund Hruška about 1 year ago

  • Status changed from In Review to Closed
Actions

Also available in: Atom PDF